<!-- <button class="user-button" mat-mini-fab [matMenuTriggerFor]="userMenu">
    <mat-icon class="user-button__icon">person</mat-icon>    
</button> -->
<div class="user-profile-toolbar" [matMenuTriggerFor]="userMenu">
    <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQey3S6VQ4qIppedXehx8CQYDshaMBwU1UwpQ&usqp=CAU"
        alt="logged-user">
</div>
<mat-menu #userMenu="matMenu" xPosition="before">
    <div class="profile-head">
        <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQey3S6VQ4qIppedXehx8CQYDshaMBwU1UwpQ&usqp=CAU"
            alt="logged-user">
        <span class="profile-head__user-name">{{user?.name}} {{user?.lastName}}</span>
        <span class="profile-head__email">{{user?.email}}</span>
    </div>
    <button mat-menu-item class="user-menu__item-title">
        <mat-icon class="user-menu-icon">person</mat-icon>
        <span>Profile</span>
    </button>
    <button mat-menu-item class="user-menu__item-title">
        <mat-icon class="user-menu-icon">description</mat-icon>
        <span>Tasks</span>
    </button>
    <button mat-menu-item class="user-menu__item-title">
        <mat-icon class="user-menu-icon">email</mat-icon>
        <span>Messages</span>
    </button>
    <div class="sign-button-wrapper">
        <button class="sign-button" mat-flat-button (click)="signOutEmit()">Sign out</button>
    </div>
</mat-menu>